All Classes Namespaces Functions Variables Groups Pages
OracleSqlUtil::OracleCodeBase Class Reference

the base class for Oracle code objects More...

Inheritance diagram for OracleSqlUtil::OracleCodeBase:
[legend]

## Public Member Functions

| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database
list | getRenameSql (string new_name)
| returns a string that can be used to rename the object in the database

## Detailed Description

the base class for Oracle code objects

## Member Function Documentation

OracleSqlUtil::OracleCodeBase::constructor | ( | string | n,
|  | string | n_type,
|  | string | n_src
| ) |  |

creates the object from the arguments passed

Parameters

  n | the name of the object
  n_type | the type of object
  n_src | the source of the object